%define upstream_name    Text-Sprintf-Named
%define upstream_version 0.0401

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Sprintf-like function with named conversions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%description
Text::Sprintf::Named provides a sprintf equivalent with named conversions.
Named conversions are sprintf field specifiers (like '"%s"' or '"%4d'")
only they are associated with the key of an associative array of
parameters. So for example '"%(name)s"' will emit the ''name'' parameter as
a string, and '"%(num)4d"' will emit the ''num'' parameter as a variable
with a width of 4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.100-2.mga3
+ Revision: 374185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.40.100-1.mga3
+ Revision: 255534
- update to 0.0401

* Fri Dec 16 2011 shlomif <shlomif> 0.30.100-1.mga2
+ Revision: 182762
- imported package perl-Text-Sprintf-Named

